%global srcname lupa

%global _description\
Lupa integrates the run-times of Lua or LuaJIT2 into CPython. It is a\
partial rewrite of LunaticPython in Cython with some additional features\
such as proper co-routine support.

Name:		python-%{srcname}
Version:	1.6
Release:	2%{?dist}
Summary:	Python wrapper around Lua and LuaJIT

License:	MIT
URL:		https://pypi.python.org/pypi/lupa
Source0:	https://github.com/scoder/%{srcname}/archive/%{srcname}-%{version}/%{srcname}-%{srcname}-%{version}.tar.gz


#For Python2
BuildRequires: python2-devel
BuildRequires: lua-devel
BuildRequires: lua
BuildRequires: python2-Cython
BuildRequires: python2-setuptools

%description %_description

%package -n python2-%{srcname}
Summary:	%{summary}
%{?python_provide:%python_provide python2-%{srcname}}
Requires:	python2

%description -n python2-%{srcname} %_description

%package -n python3-%{srcname}
Summary:	%{summary}
BuildRequires:	python3-devel
BuildRequires:	lua-devel
BuildRequires:	lua
BuildRequires:	python3-Cython
BuildRequires:	python3-setuptools
%{?python_provide:%python_provide python3-%{srcname}}
Requires:	python3

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{srcname}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files -n python2-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGES.rst INSTALL.rst
%{python2_sitearch}/%{srcname}/
%{python2_sitearch}/%{srcname}-*.egg-info

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGES.rst INSTALL.rst
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/%{srcname}-*.egg-info

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 01 2018 Dhanesh B. Sabane <dhanesh95@fedoraproject.org> - 1.6-1
- Initial release

